> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create action



## OpenAPI

````yaml /openapi.yml post /v1/actions/create
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/actions/create:
    post:
      tags:
        - Actions
      operationId: ActionController_createAction
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateActionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionDto'
components:
  schemas:
    CreateActionDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - action_transfer_call
            - action_end_conversation
            - action_dtmf
            - action_add_to_conference
            - action_trigger_function_call
            - action_trigger_phrase_based
            - action_set_hold
            - action_warm_transfer
            - phrase_condition_type_contains
          example: action_transfer_call
        label:
          type: string
          example: Transfer Call
        description:
          type: string
          example: This is a description
        config:
          type: object
        action_trigger:
          type: object
      required:
        - type
        - config
    ActionDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        user_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        type:
          type: string
          enum:
            - action_transfer_call
            - action_end_conversation
            - action_dtmf
            - action_add_to_conference
            - action_trigger_function_call
            - action_trigger_phrase_based
            - action_set_hold
            - action_warm_transfer
            - phrase_condition_type_contains
          example: action_transfer_call
        label:
          type: string
          example: Transfer Call
        description:
          type: string
          example: This is a description
        config:
          type: object
        action_trigger:
          type: object
      required:
        - id
        - user_id
        - type
        - config
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````